Bug 75523 - xinetd doesn't honor log_type in xinetd.d/*
xinetd doesn't honor log_type in xinetd.d/*
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: xinetd (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-09 11:02 EDT by Need Real Name
Modified: 2007-04-18 12:47 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-16 19:08:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-10-09 11:02:29 EDT
Description of Problem:
xinetd doesn't honor log_type in xinetd.d/*

Version-Release number of selected component (if applicable):
2.3.3-1

How Reproducible:
only tested in one system

Steps to Reproduce:
1. edit /etc/xinetd.d/ipop3
2. add a line log_type        = FILE /var/log/ipop3.log
3. /etc/init.d/xinetd restart && tail -f /var/log/ipop3.log

Actual Results:
In /var/log/messages, I got a lot of line like :
Oct  9 16:58:29 mail ipop3d[13841]: Login user=username host=[x.x.x.x] nmsgs=0/0
Oct  9 16:58:29 mail ipop3d[13841]: Logout user=username host=[x.x.x.x] nmsgs=0
ndele=0
And nothing at all in /var/log/ipop3.log
And in /var/log/maillog, I got another lines relatives to ipop3

Expected Results:
All lines about ipop3d in /var/log/ipop3.log

Additional Information:
Doesn't work either if log_type=SYSLOG local3, and local3.* /var/log/ipop3.log
in /etc/syslog.conf
Comment 1 Jay Fenlason 2003-01-16 19:08:07 EST
Xinetd's log_type configuration only controls logging output by xinetd itself. 
(Usually from configuration elements like log_on_succes, or log_on_failure).

Logging done by the server after xinetd execs it is a completely different
animal.  In paticular, the log entries in this bug report were generated by the
ipop3d executable, so you'll need to look at it's configuration (or the syslogd
configuration) to learn how to send it's log messages where you like.

Note You need to log in before you can comment on or make changes to this bug.